powertop (2.15-3) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * Install systemd unit into /usr.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #1064317)
  * debian/control: build-dep pkg-config => pkgconf
  * debian/control: update upstream url
  * Remove unused upstream signing key

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 20 Feb 2024 20:51:33 +0900

powertop (2.15-2) unstable; urgency=medium

  [ Rohan Jain ]
  * Ensure that auto-tune is executed on resume as well

  [ Kan-Ru Chen ]
  * Clean generated .gmo files. (Closes: #1046270)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 19 Nov 2023 21:38:07 +0900

powertop (2.15-1) unstable; urgency=medium

  [ Safir Secerovic ]  
  * Updated debian/watch file.
  * New upstream version 2.15
  * Removed: 
      0004-src-fix-compatibility-with-ncurses-6.3.patch, 
      0005-Revert-configure-Remove-AX-macros-from-configure.ac-.patch and  
      0006-configure-Use-AX_REQUIRE_DEFINED.patch
      since they have been upstreamed.

  [ Kan-Ru Chen ]
  * debian/control: bump standards-version to 4.6.2, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 09 Jul 2023 06:43:54 +0900

powertop (2.14-2) UNRELEASED; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Safir Secerovic <sapphire@linux.org.ba>  Tue, 21 Mar 2023 02:00:10 -0600

powertop (2.14-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.14
  * Import patch to fix compatibility with ncurses 6.3 (Closes: #996640)
  * Import patches to fix autconf AX macros.
  * debian/powertop.install: Install powertop.service systemd unit from
    upstream.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 06 Dec 2021 00:48:34 +0900

powertop (2.13-2) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * debian/rules: do not auto enable or start the systemd unit (Closes: #992222)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 16 Aug 2021 14:56:44 +0900

powertop (2.13-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.13
  * debian/watch: add upstream signing key
  * debian/patches: remove shebang from bash-completion file
  * debian/powertop.service: add powertop systemd service.
    Thanks to Sedat Dilek for the report (Closes: #983336, #687777)
  * debian/control: bump Standards-Version to 4.5.1, no changes needed.
  * debian/control: fix pedantic lintian warnings
  * debian/control: bump debhelper-compat to version 13.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 15 Aug 2021 22:54:04 +0900

powertop (2.11-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.11
  * debian/README.Debian: Added to explain how parameters collection works
    (Closes: #823701)
  * debian/patches: Add patch to use correct hciconfig binary path
    (Closes: #772571)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 03 Jan 2020 23:37:27 +0900

powertop (2.10-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * New upstream release (Closes: #732458, #793275, #857941):
    - Support POWER (Closes: #463034, #807610).
    - Update debian/copyright.
    - USB devices, that cannot be autosuspended are not shown anymore
      (Closes: #664455).
  * Bump standards version to 3.9.8 (no changes needed).
  * Drop manually generated debug package.
  * Update watchfile to look at GitHub.
  * Remove myself from uploaders.

  [ Ross Vandegrift ]
  * d/watch: fix filemangle
  * Avoid linking with ncurses (Thanks to Sven Joachim for this patch)
    (Closes: #898533)
  * Switch to dh compat 11
  * d/control:
    + Set Rules-Requires-Root to no
    + Bump Standards-Version to 4.3.0 (no changes required)
  * d/rules:
    + Enable build-time hardening
    + Drop unnecessary dh_installdocs override
  * d/gbp.conf: enable pristine-tar by default

  [ Kan-Ru Chen ]
  * New upstream version 2.10
  * d/control: point Vcs-* field to Salsa
  * d/control: Add myself and Ross Vandegrift as uploaders, remove
    Jose Luis Rivas and Patrick Winnertz (Closes: #931713)
  * d/watch: Use official tarball from upstream website
  * d/patches: drop 0001-Add-version-files-for-v2.9.patch

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 02 Aug 2019 22:15:56 +0900

powertop (2.8-1) unstable; urgency=medium

  * new upstream release (Closes: #801873)

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 06 Nov 2015 12:38:09 -0500

powertop (2.7-1) unstable; urgency=medium

  * New upstream version to unstable. (Closes: #795297)

 -- Jose Luis Rivas <ghostbar@debian.org>  Wed, 09 Sep 2015 08:41:21 -0500

powertop (2.7-1~exp1) experimental; urgency=medium

  * Update debian/watch (modified the one provided by bartm, thanks).
  * New upstream release:
    + RAPL: powercap sysfs used for power measurements.
    + ARM support for devfreq stats.
    + Added support to new Intel platforms.
    + Several bug fixes.
  * Update debian/copyright.
  * Bump standards version to 3.9.6, no changes needed.

 -- Julian Wollrath <jwollrath@web.de>  Mon, 24 Nov 2014 23:23:37 +0100

powertop (2.6.1-1) unstable; urgency=medium

  * debian/watch: adjust to new URL.
  * Change architectures to linux-any, since ia64 is not a release
    architecture anymore.
  * New upstream release.
    + Drop now obsolete patch.
  * Update year in debian/copyright.
  * Drop automake from B-D (pulled in by dh-autoreconf anyways).

 -- Julian Wollrath <jwollrath@web.de>  Wed, 23 Jul 2014 16:28:08 +0200

powertop (2.5-1) unstable; urgency=low

  * Only build for supported architectures.
  * New upstream release (Closes: #695890, #726539).
    + Use dh-autoreconf to make it build with automake 1.14.
    + Add patch to not use csstoh.sh.
  * Bump standards version to 3.9.5, no changes needed.

 -- Julian Wollrath <jwollrath@web.de>  Sat, 23 Nov 2013 14:02:00 +0100

powertop (2.4-2) unstable; urgency=low

  * debian/copyright: Add missing copyright notices.
  * Add myself as co-maintainer.
  * Add postrm script to remove /var/cache/powertop when purging
    (Closes: #680510).
  * Change architecture to linux-any, since it is a linux specific package.
  * Change package description to something more descriptive.
  * Add debug package (Closes: #679579).
  * Remove unneeded copy of the manpage, use the upstream one instead.
  * Disable silent rules during build.

 -- Julian Wollrath <jwollrath@web.de>  Mon, 02 Sep 2013 17:36:42 -0400

powertop (2.4-1) unstable; urgency=low

  * New upstream release (Closes: #685607, #695893, #659517, #686699, #705993)
  * debian/control:
    + Jose Luis Rivas's email to `ghostbar@debian.org`.
    + Remove build-dependency on `cdbs`. No need anymore.
    + Add dependency on `automake` so `config.{guess,sub}` are auto-updated on
    build.
    + Standards-Version to 3.9.4.
    + Swap on fields maintainer and uploaders.
    + Add Vcs-* fields.
  * debian/watch: upstream changed to `tar.gz` from `tar.bz2`, so reports on
    newer versions were failing to be accurate. (Closes: #695891)
  * Acknowledging NMU's.
  * debian/rules: Simple dh format.
  * debian/patches: changes applied upstream. No need anymore.
  * debian/copyright: update to copyright-format/1.0

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 30 Aug 2013 22:47:26 -0430

powertop (2.0-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch long-process-names-nullterm.patch to prevent a crash
    on paticularly long process names (Closes: #682388)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 21 Apr 2013 00:38:10 +0100

powertop (2.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debian/patches/fix_libnl_version.patch. This patch actually doesn't
    make any sense and only causes a FTBFS on ia64 since it modifies
    configure.ac without properly updating the build system afterwards.
    (Closes: #679629)

 -- Michael Biebl <biebl@debian.org>  Sat, 30 Jun 2012 16:13:46 +0200

powertop (2.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #665695, #672555, #652466, #638300)
  * Build against libnl3 (Closes: #656421)
  * Add manpage, cherry-picked from upstream sources (Closes: #564847)
  * Update watch and copyright file (Closes: #650063, #634218)
  * Bump standards version to 3.9.3 (no changes needed)
  * Change debian/compat to 9
  * Add patch to fix issues with building against libnl-3
  * Change build depencies from libnl2-dev to libnl-3-dev and libnl-genl-3-dev
  * Drop no longer needed patches fix_prefix_in_manpage.patch,
    fix_NR_perf_event_open_on_ia64.patch, fix_csstoh_on_sparc
  * Change priority from optional to extra, hence the problem on the QA page
    is addressed which states, that there is a override from optional to
    extra.

 -- Julian Wollrath <jwollrath@web.de>  Tue, 26 Jun 2012 01:02:30 +0200

powertop (1.97-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes
    (Closes: #667329).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:34:09 +0200

powertop (1.97-2) unstable; urgency=low

  * Fix a build failure on ia64
  * Add a return(0) at the end of csstoh.c to
    as sparc seems to defaults to exit code 3

 -- Patrick Winnertz <winnie@debian.org>  Thu, 17 Mar 2011 16:24:40 +0100

powertop (1.97-1) unstable; urgency=low

  * Imported Upstream version 1.97
  * Correct watch file to point to the correct place
  * Switch to source/format 3.0 (quilt)
  * Bump standards-version to 3.9.1 - no further changes needed
  * Acknowlegde NMU of Serafeim Zanikolas (Closes: #570662)
  * Fix build-deps (Added pkg-config, libnl2-dev & libpci-dev)
  * Fix typo
  * Remove make uptrans from build as it's not working in 2.0 beta
  * Remove manpage as the manpage was removed from upstream
  * Fix path for /var/cache/powertop (remove ${PREFIX})

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 22:05:15 +0100

powertop (1.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing include to fix FTBFS on ia64 and alpha (Closes: #570662)

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 15 Oct 2010 00:07:37 +0200

powertop (1.13-1) unstable; urgency=low

  * New upstream version
    + Should fix FTBFS an alpha (Closes: #570662)
    + Fix crash with too long config files (Closes: #589438)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 11:32:48 +0200

powertop (1.13~pre20100125-1) unstable; urgency=low

  * Package git snapshot from 2010-01-25 (Closes: #563498)
    - fix reporting of incorrect wattage
      (Closes: #497929, #558776)
    - doesn't exit when xterm is resized (Closes: #488973)
    - show P-states again in some rare cases (Closes: #562516)
      at least this bug is not longer reproducable with this
      new version
    - number of wakeups should be now correct (Closes: #502596)
    - manpage contains now more informations (Closes: #470498)
  * remove now unneeded patches and dropped dpatch build system
  * bumped standards version to 3.8.3, no further changes needed
  * fix lintian warning about copyright template

 -- Patrick Winnertz <winnie@debian.org>  Mon, 25 Jan 2010 23:20:55 +0100

powertop (1.11-1) unstable; urgency=low

  * New upstream release
     + reports now correct wattage (at least for me) (Closes: #497929)
  * Add patch in order to remove bashism in output (Closes: #509811)
  * Removed patches as they are now applied upstream:
     + patches/fix-eof.dpatch
     + patches/add-support-for-charge_now.dpatch
     + patches/fix-suggest-usb-autosuspend.dpatch
     + patches/fix-hal-disable-polling.dpatch


 -- Patrick Winnertz <winnie@debian.org>  Tue, 13 Jan 2009 00:02:01 +0100

powertop (1.10-2) unstable; urgency=high

  * Support batteries that do not report energy_now, by reading change_now.
    (Closes: #486873, #495638, #495348)

 -- Patrick Winnertz <winnie@debian.org>  Mon, 01 Sep 2008 20:31:51 +0200

powertop (1.10-1) unstable; urgency=low

  * New upstream version (Closes: #486510)
    - changed from proc to sys interface (Closes: #462796, #483603)
  * Build a PO template on package build (Closes: #471852)
  * spell Linux correctly: Linux (control file)
  * powertop now quits if it get a EOF (Closes: 458984)
  * Updated watch file (Closes: #486509)
  * Removed usb patch, source has changed completely. hopefully it was fixed
    by upstream.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 16 Jun 2008 23:55:10 +0200

powertop (1.9-2) unstable; urgency=low

  * Changed my maintainer address
  * Bumped Standards-Version to 3.7.3.
  * Instead of using /dev/scd0 as disk drive use /dev/cdrom for
    hal-disable-polling (Created patch fix-hal-disable-polling.dpatch)
    (Closes: #443594)
  * This time fix really the usb autosuspend issue. (Closes: #444817)
  * Add a Homepage field to control.

 -- Patrick Winnertz <winnie@debian.org>  Sun, 16 Dec 2007 23:33:32 +0100

powertop (1.9-1) unstable; urgency=low

  * Packaging new upstream release. (Closes: #451370)
  * Fix the wrong implementation of usb autosuspend (Closes: #444817)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Thu, 22 Nov 2007 13:17:38 +0100

powertop (1.8-1) unstable; urgency=low

  * Packaging new upstream release.
  * Correct the dependency to laptop-mode-tools. (Closes: #438616)
  * Correct the command line syntax of hal-disable-polling (Closes: #435882)
  * Allow powertop to build on all archs since some information are still
    there (wakeup counts).

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Mon, 20 Aug 2007 22:23:53 +0200

powertop (1.7~svn-r227-3) unstable; urgency=low

  * debian/control:
   + Changed the `arch" field to: `i386 amd64 ia64'. (Closes: #435972)
  * debian/copyright:
   + Fixed the license related issue, updated to just GPL2 including the
   license address to `/usr/share/common-licenses/GPL-2'. (Closes: #436367)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Thu, 16 Aug 2007 23:01:09 -0400

powertop (1.7~svn-r227-2) unstable; urgency=low

  * Thanks to Krzysztof Burghardt for the new package release, but
    remove him as co-maintainer, as he is none after all

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Fri, 13 Jul 2007 20:39:21 +0200

powertop (1.7~svn-r227-1) unstable; urgency=low

  * New co-maintainer
  * New upstream (closes: #429305, #430035, #427345)
  * Moved binary to /usr/sbin as it need to be run by root (closes: #427548)
  * debian/copyright:
   + changed a bit to fulfill standard look

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sat, 23 Jun 2007 20:30:02 +0200

powertop (1.5-2) unstable; urgency=low

  * debian/control:
   + Two leading spaces for Homepage (Closes: #426606)
  * debian/changelog:
   + Fixed typo on "Cooperation" now "Corporation" (Closes: #426605)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 30 May 2007 08:46:08 -0400

powertop (1.5-1) unstable; urgency=low

  * New upstream release available (Closes: #426507)
  * Adding Build-Depends: libncursesw5-dev since powertop fails to build without it.
  * Modified debian/copyright:
    - added (c) 2007 Intel Corporation
    - powertop is licensed under GPL v2 (added v2)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Tue, 29 May 2007 13:43:06 +0200

powertop (1.4-2) unstable; urgency=low

  [ Jose Luis Rivas ]
  * debian/control:
   + Fixed the Homepage field (Closes: #426205)
   + Modified the uploader name to "Jose Luis Rivas"

  [ Patrick Winnertz ]
  * Fixed FTBFS, by depending on libncurses5-dev (Closes: #426235)
  * Uses $(CURDIR) instead of `pwd` in rules.
  * Upload sponsored by Petter Reinholdtsen

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sun, 27 May 2007 17:59:38 +0200

powertop (1.4-1) unstable; urgency=low

  * New upstream release
  * Now powertop uses the full width of a terminal. (Fixed by upstream)
    (Closes: #423735)
  * Changed the destdir in debian/rules so that the locale files are installed correctly
    to debian/powertop/usr/share/locale/:
      - DESTDIR=debian/powertop  --> DESTDIR=`pwd`/debian/powertop
  * Upload sponsored by Petter Reinholdtsen

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Sat, 26 May 2007 17:24:27 +0200

powertop (1.3-1) unstable; urgency=low

  * New upstream release (Closes: #425498)
  * Suggests cpufrequtils (Closes: #423986)
  * Clean up debian/rules:
      - removes simple-patchsys.mk since it not used
      - remove the installation of the manpage since we now use debian/manpages
        ( Thanks to Jose )

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Fri, 25 May 2007 16:48:52 +0200

powertop (1.2-1) unstable; urgency=low

  * New upstream release available.
  * Took the package from pere, and added me as Maintainer and Jose Luis
    Rivas Contreras into the Uploader field.
  * Removed the manpage from the debian-dir since it is now upstream and adjusted
    the install command in debian/rules.
  * Removed the makefile patch, since it is now upstream

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Wed, 16 May 2007 12:35:58 +0200

powertop (1.1-3) unstable; urgency=low

  * Add watch file written by  Ralf Meyer for Ubuntu.  Removed
    most of the examples.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 May 2007 08:08:24 +0200

powertop (1.1-2) unstable; urgency=low

  * Add powertop(1) manual page.  Written by Carlo
    Segre. (Closes: #423607)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 May 2007 21:13:00 +0200

powertop (1.1-1) unstable; urgency=low

  * New upstream release.
  * Rewrite debian/rules to use cdbs and simple-patchsys.
  * Change section from x11 to utils.  It make more sense
    for this tool.
  * Rewrite 10_makefile.patch as most of the changes are
    included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 May 2007 12:10:15 +0200

powertop (1.0-1) unstable; urgency=low

  * Initial release (Closes: #423504)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 May 2007 23:13:05 +0200
